﻿/*
 * Author: G. Monz (DK7IO), 2012-04-29
 * This file is distributed without any warranty.
 * */

using System.IO;
using System.Text;

namespace RadioMobile
{
	/// <summary>
	/// BinaryWriter for data types in Visual Basic &lt;=6 and VBA.
	/// </summary>
	public class VB6BinaryWriter : BinaryWriter
	{
		public VB6BinaryWriter(Stream output)
			: base(output, Encoding.Default)
		{
		}

		public override void Write(string value)
		{
			char[] chars = value.ToCharArray();

			foreach (char c in chars)
			{
				Write(c);
			}
		}
	}
}